Name:           buildbot
Version:        0.8.5
%define slaveversion 0.8.5
Release:        %mkrel 2
Summary:        Build/test automation system
Group:          Development/Python
License:        GPLv2+
URL:            http://buildbot.net
Source0:        http://buildbot.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        http://buildbot.googlecode.com/files/%{name}-slave-%{slaveversion}.tar.gz
Source2:	%{name}/%{name}-docs-missing-%{version}.tar.bz2
Patch0:         buildbot-contrib-shebang.patch
Patch1:		buildbot-req.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       %{name}-master >= %{version}
Requires:       %{name}-slave >= %{slaveversion}

%description
The BuildBot is a system to automate the compile/test cycle required by
most software projects to validate code changes. By automatically
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are
inconvenienced by the failure.

%package        master
Summary:        buildbot master
Group:          Development/Python
Requires:       python-twisted >= 8.0.0
Requires:       python-twisted-web
Requires:       python-twisted-mail
Requires:       python-twisted-words
Requires:       python-twisted-conch
Requires:       python-jinja2 >= 2.1
Requires:       python-sqlalchemy
Requires:	python-sqlalchemy-migrate
Requires:       python-boto
Suggests:       %{name}-doc

%description    master
The BuildBot is a system to automate the compile/test cycle required by
most software projects to validate code changes. By automatically
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are
inconvenienced by the failure. 
This package contains only the buildmaster implementation.
The buildbot-slave package contains the buildslave.

%package        slave
Version:        %{slaveversion}
Summary:        buildbot slave
Group:          Development/Python
Requires:       python-twisted >= 8.0.0
Requires:       python-jinja2 >= 2.1

%description    slave
This package contains only the buildslave implementation.
The buildbot-master package contains the buildmaster.

%package        doc
Group:          Development/Python
License:        GPLv2+
Summary:        BuildBot documentation
BuildRequires:  python-sphinx
BuildRequires:  texinfo
%description    doc
This package contains documentation for the BuildBot.

%prep
%setup -q -b 1 -n %{name}-slave-%{slaveversion}
%setup -q
%setup -D -b 2
%patch0 -p0
%patch1 -p0

%build
%{__python} setup.py build
cd docs
make html
cd ..
cd ../%{name}-slave-%{slaveversion}
%{__python} setup.py build

%install
rm -rf %{buildroot}

install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 644 docs/buildbot.1 %{buildroot}%{_mandir}/man1
install -m 755 -d %{buildroot}%{_docdir}/%{name}/html
install -m 755 -d %{buildroot}%{_docdir}/%{name}/html/_images
install -m 755 -d %{buildroot}%{_docdir}/%{name}/html/_sources
install -m 755 -d %{buildroot}%{_docdir}/%{name}/html/_static
install -m 755 -d %{buildroot}%{_docdir}/%{name}/html/developer
install -m 755 -d %{buildroot}%{_docdir}/%{name}/html/manual
install -m 755 -d %{buildroot}%{_docdir}/%{name}/html/tutorial
rm docs/_build/html/.buildinfo
cp -r docs/_build/html %{buildroot}%{_docdir}/%{name}
install -m 755 -d %{buildroot}%{_docdir}/%{name}/slave
install -m 644 ../%{name}-slave-%{slaveversion}/NEWS ../%{name}-slave-%{slaveversion}/README  %{buildroot}%{_docdir}/%{name}/slave
install -m 644 ../%{name}-slave-%{slaveversion}/docs/buildslave.1 %{buildroot}%{_mandir}/man1

PYTHONDONTWRITEBYTECODE= %{__python} setup.py install -O1 --skip-build --root %{buildroot} 

mkdir -p %{buildroot}/%{_datadir}/%{name}/
cp -R contrib %{buildroot}/%{_datadir}/%{name}/

# clean up Windows contribs.
sed -i 's/\r//' %{buildroot}/%{_datadir}/%{name}/contrib/windows/*
chmod -x %{buildroot}/%{_datadir}/%{name}/contrib/windows/*

# Fix permissions
chmod 0755 %{buildroot}/%{_datadir}/%{name}/contrib/fix_changes_pickle_encoding.py

# install slave
cd ../%{name}-slave-%{slaveversion}
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install -O1 --skip-build --root %{buildroot} 


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%files          master
%defattr(-,root,root,-)
%_mandir/man1/buildbot.1.xz
%doc COPYING CREDITS NEWS README UPGRADING
%{_bindir}/buildbot
%{py_puresitedir}/buildbot
%{_datadir}/%{name}
%{py_puresitedir}/buildbot-%{version}*.egg-info

%files          doc
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

%files          slave
%defattr(-,root,root,-)
%_mandir/man1/buildslave.1.xz
%dir %{_docdir}/%{name}
%dir %{_docdir}/%{name}/slave
%doc %{_docdir}/%{name}/slave/NEWS
%doc %{_docdir}/%{name}/slave/README
%{_bindir}/buildslave
%{py_puresitedir}/buildslave
%{py_puresitedir}/buildbot_slave-%{slaveversion}*.egg-info



%changelog

* Mon Oct 24 2011 philippem <philippem> 0.8.5-2.mga2
+ Revision: 157877
+ rebuild (emptylog)

* Mon Oct 24 2011 philippem <philippem> 0.8.5-1.mga2
+ Revision: 157742
- new upstream

* Tue Jul 12 2011 philippem <philippem> 0.8.4p1-3.mga2
+ Revision: 123055
+ rebuild (emptylog)

* Mon Jul 11 2011 philippem <philippem> 0.8.4p1-2.mga2
+ Revision: 122175
-fix require on python-sqlalchemy-migrate

* Mon Jul 04 2011 philippem <philippem> 0.8.4p1-1.mga2
+ Revision: 118139
- Update to 8.4
- add new requires (python-sqlalchemy)

* Sat Jun 11 2011 philippem <philippem> 0.8.3p1-1.mga2
+ Revision: 103857
-upstream update
-add master, slave and doc packages

* Thu Mar 17 2011 tv <tv> 0.8.0-3.mga1
+ Revision: 73377
- imported package buildbot


* Sat Nov 06 2010 Jani Välimaa <wally@mandriva.org> 0.8.0-3mdv2011.0
+ Revision: 594296
- rebuild for python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

  + Tadej Panjtar <tadej@mandriva.org>
    - update to 0.8.0

* Wed May 05 2010 Funda Wang <fwang@mandriva.org> 0.7.12-2mdv2010.1
+ Revision: 542308
- BR python-setuptools

* Sat Mar 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.12-1mdv2010.1
+ Revision: 515258
- update to 0.7.12

* Mon Dec 14 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.7.11p3-3mdv2010.1
+ Revision: 478465
- rpm-mandriva-setup fixed

* Mon Dec 14 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.7.11p3-2mdv2010.1
+ Revision: 478462
- Provide a more clear explanation for the debugfiles list bug in rpm-mandriva-setup

* Fri Dec 11 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.7.11p3-1mdv2010.1
+ Revision: 476461
- fix permissions for emit.py
- Fix error on debug search in the bs

  + Tadej Panjtar <tadej@mandriva.org>
    - minor corrections according to packaging standards
    - Update to new version

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.7.10p1-2mdv2010.0
+ Revision: 436903
- rebuild

* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.10p1-1mdv2009.1
+ Revision: 348914
- New upstream release

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.7.9-1mdv2009.1
+ Revision: 320366
- New version 0.7.9

* Mon Aug 11 2008 Jérôme Soyer <saispo@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 270612
- New release 0.7.8

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.7.7-2mdv2009.0
+ Revision: 266429
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Funda Wang <fwang@mandriva.org> 0.7.7-1mdv2009.0
+ Revision: 195060
- New version 0.7.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.6-1mdv2008.1
+ Revision: 95946
- New release 0.7.6
- New release 0.7.6

* Thu Sep 27 2007 Anne Nicolas <ennael@mandriva.org> 0.7.5-3mdv2008.0
+ Revision: 93423
- bump release to reupload

* Wed Jun 06 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.5-2mdv2008.0
+ Revision: 36098
- Fix %%mkrel number
- Bump release for rebuild
- Remove noarch
- Fix 64bits Build
- Fix RPM Group
- Import buildbot

